$fa=5;
$fs=0.2;

Servo_width=41;
Servo_height=28;
Servo_thickness=20;

Servo_holes_D=3.5/2;
Servo_holes_growe=29;
Servo_holes_spacing=10;
Servo_holes_spacing2=2;

Servo_cable_thicknes=9;
Servo_cable_end=5;
Servo_cable_cutout=10;
Servo_cable=6;

Walls=10;
Base_X=100;
Base_Y=110;
Base_Z=35;

full_cut=1;
cable_cut=1;

module luknja(){
translate([0,0,Servo_height/2-Servo_holes_growe/2+1/2]){
	cylinder(r=Servo_holes_D,h=Servo_holes_growe+1,center=true);
}
}

difference(){
//base
hull(){
cube([Servo_width+2*Walls,Servo_thickness+2*Walls,Servo_height],center=true);

translate([0,0,-Base_Z/2-1/2]){
cube([Base_X,Base_Y,0.1],center=true);
}
}

//cuttout
union(){
translate([0,0,1/2]){
cube([Servo_width,Servo_thickness,Servo_height+1],center=true);
}

if(full_cut)
translate([0,0,-Base_Z/2+Servo_height/2]){
cube([Servo_width,Servo_thickness,Base_Z+1],center=true);
}

translate([Servo_width/2+Servo_holes_spacing2+Servo_holes_D,Servo_holes_spacing/2,0]){
	luknja();
}

translate([Servo_width/2+Servo_holes_spacing2+Servo_holes_D,-Servo_holes_spacing/2,0]){
	luknja();
}


translate([-Servo_width/2-Servo_holes_spacing2-Servo_holes_D,Servo_holes_spacing/2,0]){
	luknja();
}

translate([-Servo_width/2-Servo_holes_spacing2-Servo_holes_D,-Servo_holes_spacing/2,0]){
	luknja();
}

translate([Servo_width/2+Servo_cable_cutout/2-0.1,0,-Servo_cable_end/2-Base_Z/2]){
cube([Servo_cable_cutout,Servo_cable_thicknes,Servo_height+1-Servo_cable_end+Base_Z],center=true);
}

}

if(cable_cut)
translate([0,0,-Base_Z/2-1]){
cube([Base_X+2,Servo_cable_thicknes,Servo_cable+1],center=true);
}
}


