$fa=5;
$fs=0.2;

arm_base_D=13;
arm_base_thicknes=5;
arm_tip_D=7;
arm_tip_ticknes=2.5;

arm_tip_distance=28;
arm_tip_z_offset=-1.25;

arm_axis_D=13;
arm_axis_H=3;


Servo_width=41;
Servo_height=28;
Servo_thickness=20;

Servo_holes_D=4/2;
Servo_holes_spacing=10;
Servo_holes_spacing2=2;

Servo_cable_offset=19;


Walls=10;

module luknja(){
translate([0,(arm_base_D+Walls*2)/2+1,0])
rotate([90,0,0])
cylinder(r=Servo_holes_D,h=arm_base_D+Walls*2+2);
}

echo("Sirina je:");
echo(arm_base_D+Walls*2);



difference(){

union(){

translate([Servo_width,(-arm_base_D-Walls*2)/2,0])
cube([Walls,arm_base_D+Walls*2,Servo_thickness]);

translate([arm_tip_distance+arm_base_D/2+arm_tip_D/2,-(arm_base_D+Walls*2)/2,-(arm_base_thicknes+arm_axis_H*2+Walls)])
cube([Servo_width+Walls-(arm_tip_distance+arm_base_D/2+arm_tip_D/2),arm_base_D+Walls*2,arm_base_thicknes+arm_axis_H*2+Walls]);

translate([arm_base_D/2,0,arm_base_thicknes/2+arm_axis_H-arm_base_thicknes-arm_axis_H*2-Walls]){

translate([-arm_base_D/2-Walls,-arm_base_D/2-Walls,-arm_base_thicknes/2-arm_axis_H+arm_base_thicknes+arm_axis_H*2+Walls])
cube([Walls,arm_base_D+Walls*2,Servo_thickness]);

difference(){

translate([(arm_tip_distance+arm_base_D/2+arm_tip_D/2)/2-arm_base_D/2-Walls/2,0,Walls/2 ])
cube([arm_tip_distance+arm_base_D/2+arm_tip_D/2+Walls,arm_base_D+Walls*2,arm_base_thicknes+arm_axis_H*2+Walls],center=true);


translate([-arm_base_D/4-Walls/2-1/2,0,-arm_axis_H/2-1/2])
cube([arm_base_D/2+Walls+1,arm_base_D,arm_base_thicknes+arm_axis_H+1],center=true);


translate([0,0,-arm_base_thicknes/2-arm_axis_H-1])
cylinder(r=arm_axis_D/2,h=arm_axis_H+2);

hull(){
cylinder(r=arm_base_D/2,h=arm_base_thicknes,center=true);

translate([arm_tip_distance,0,arm_tip_z_offset-arm_tip_ticknes/2+arm_base_thicknes/2]){
cylinder(r=arm_tip_D/2,h=arm_tip_ticknes,center=true);
}
}

}

}

}

translate([-Servo_holes_spacing2-Servo_holes_D,0,Servo_thickness/2+Servo_holes_spacing/2])
luknja();

translate([-Servo_holes_spacing2-Servo_holes_D,0,Servo_thickness/2-Servo_holes_spacing/2])
luknja();

translate([Servo_holes_spacing2+Servo_holes_D+Servo_width,0,Servo_thickness/2+Servo_holes_spacing/2])
luknja();

translate([Servo_holes_spacing2+Servo_holes_D+Servo_width,0,Servo_thickness/2-Servo_holes_spacing/2])
luknja();

if(Servo_cable_offset<arm_base_D+Walls*2)
translate([-Walls-1,-(arm_base_D+Walls*2)/2+Servo_cable_offset,0])
cube([Servo_width+Walls*2+2,Servo_cable_offset,Servo_thickness+1]);
}
